This commit is contained in:
Yamashita, Yuu 2017-03-06 04:31:25 +00:00
parent 3d36ee7227
commit d01fa09a7d
7 changed files with 17 additions and 10 deletions

View file

@ -1,5 +1,12 @@
## Version History
## Unreleased
* pyenv: Migarte project site from https://github.com/yyuu/pyenv to https://github.com/pyenv/pyenv
* python-build: Change default mirror site URL from https://yyuu.github.io/pythons to https://pyenv.github.io/pythons
* python-build: Upgrade OpenSSL from 1.0.2g to 1.0.2k (#850)
* python-build: Add CPython 3.6.1rc1 (#851)
## 1.0.8
* pyenv: Fix fish subcommand completion (#831)

View file

@ -42,6 +42,6 @@ done
shift 1
# CPython's `sys.executable` requires the `PYENV_BIN_PATH` to be at the top of the `PATH`.
# https://github.com/yyuu/pyenv/issues/98
# https://github.com/pyenv/pyenv/issues/98
export PATH="${PYENV_BIN_PATH}:${PATH}"
exec -a "$PYENV_COMMAND" "$PYENV_COMMAND_PATH" "$@"

View file

@ -152,7 +152,7 @@ if [ -z "$1" ] || [ "$1" == "pyenv" ]; then
print_summaries commands local global shell install uninstall rehash version versions which whence
echo
echo "See \`pyenv help <command>' for information on a specific command."
echo "For full documentation, see: https://github.com/yyuu/pyenv#readme"
echo "For full documentation, see: https://github.com/pyenv/pyenv#readme"
else
command="$1"
if [ -n "$(command_path "$command")" ]; then

View file

@ -22,7 +22,7 @@
#
# For detailed information on installing Python versions with
# python-build, including a list of environment variables for adjusting
# compilation, see: https://github.com/yyuu/pyenv#readme
# compilation, see: https://github.com/pyenv/pyenv#readme
#
set -e
[ -n "$PYENV_DEBUG" ] && set -x

View file

@ -1341,7 +1341,7 @@ use_homebrew_yaml() {
has_broken_mac_readline() {
# Mac OS X 10.4 has broken readline.
# https://github.com/yyuu/pyenv/issues/23
# https://github.com/pyenv/pyenv/issues/23
is_mac &&
! configured_with_package_dir "python" "readline/rlconf.h" &&
! use_homebrew_readline
@ -1539,7 +1539,7 @@ verify_python() {
echo
echo "The python-build could not find proper executable of Python after successful build."
echo "Please open an issue for future improvements."
echo "https://github.com/yyuu/pyenv/issues"
echo "https://github.com/pyenv/pyenv/issues"
return 1
} >&3
fi
@ -1560,7 +1560,7 @@ verify_python_module() {
echo ": The Python $1 extension was not compiled. Missing the ${2:-$1}?"
echo
echo "Please consult to the Wiki page to fix the problem."
echo "https://github.com/yyuu/pyenv/wiki/Common-build-problems"
echo "https://github.com/pyenv/pyenv/wiki/Common-build-problems"
echo
return 1
} >&3

View file

@ -14,7 +14,7 @@ static_version="$(grep VERSION "$bats_bin" | head -1 | cut -d'"' -f 2)"
@test "python-build git version" {
stub git \
'remote -v : echo origin https://github.com/yyuu/pyenv.git' \
'remote -v : echo origin https://github.com/pyenv/pyenv.git' \
"describe --tags HEAD : echo v1984-12-gSHA"
run python-build --version
assert_success "python-build 1984-12-gSHA"
@ -23,7 +23,7 @@ static_version="$(grep VERSION "$bats_bin" | head -1 | cut -d'"' -f 2)"
@test "git describe fails" {
stub git \
'remote -v : echo origin https://github.com/yyuu/pyenv.git' \
'remote -v : echo origin https://github.com/pyenv/pyenv.git' \
"describe --tags HEAD : echo ASPLODE >&2; exit 1"
run python-build --version
assert_success "python-build ${static_version}"

View file

@ -35,7 +35,7 @@ git_commit() {
@test "reads version from git repo" {
git init
git remote add origin https://github.com/yyuu/pyenv.git
git remote add origin https://github.com/pyenv/pyenv.git
git_commit
git tag v0.4.1
git_commit
@ -47,7 +47,7 @@ git_commit() {
@test "prints default version if no tags in git repo" {
git init
git remote add origin https://github.com/yyuu/pyenv.git
git remote add origin https://github.com/pyenv/pyenv.git
git_commit
run pyenv---version